/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Models.Stock;

/**
 *
 * @author Maher
 */
public class StockDetail {
    
    public String id_detail_stock ; 
    public String local_nom;  
    public String reference_produit ; 
    public Float quantite;  
    public String date_add;  
    public Integer id_profile;  
    public String id_bon_entre;  
    public String id_bon_sortie;  
    public String id_bon_livraison;  
    public String id_bon_reception;
    public String id_facture_frs;
    public String id_vente_sans_facture;
    
    public StockDetail(String reference_produit, Float quantite, String id_bon_entre, String id_bon_sortie, String id_bon_livraison, String id_bon_reception, String id_facture_frs, String id_vente_sans_facture) {
        this.reference_produit = reference_produit;
        this.quantite = quantite;
        this.id_bon_entre = id_bon_entre;
        this.id_bon_sortie = id_bon_sortie;
        this.id_bon_livraison = id_bon_livraison;
        this.id_bon_reception = id_bon_reception;
        this.id_facture_frs = id_facture_frs;
        this.id_vente_sans_facture = id_vente_sans_facture;
    }

    
    
    
    public String getId_detail_stock() {
        return id_detail_stock;
    }

    public void setId_detail_stock(String id_detail_stock) {
        this.id_detail_stock = id_detail_stock;
    }

    public String getLocal_nom() {
        return local_nom;
    }

    public void setLocal_nom(String local_nom) {
        this.local_nom = local_nom;
    }

    public String getReference_produit() {
        return reference_produit;
    }

    public void setReference_produit(String reference_produit) {
        this.reference_produit = reference_produit;
    }

    public Float getQuantite() {
        return quantite;
    }

    public void setQuantite(Float quantite) {
        this.quantite = quantite;
    }

    public String getDate_add() {
        return date_add;
    }

    public void setDate_add(String date_add) {
        this.date_add = date_add;
    }

    public Integer getId_profile() {
        return id_profile;
    }

    public void setId_profile(Integer id_profile) {
        this.id_profile = id_profile;
    }

    public String getId_bon_entre() {
        return id_bon_entre;
    }

    public void setId_bon_entre(String id_bon_entre) {
        this.id_bon_entre = id_bon_entre;
    }

    public String getId_bon_sortie() {
        return id_bon_sortie;
    }

    public void setId_bon_sortie(String id_bon_sortie) {
        this.id_bon_sortie = id_bon_sortie;
    }

    public String getId_bon_livraison() {
        return id_bon_livraison;
    }

    public void setId_bon_livraison(String id_bon_livraison) {
        this.id_bon_livraison = id_bon_livraison;
    }

    public String getId_bon_reception() {
        return id_bon_reception;
    }

    public void setId_bon_reception(String id_bon_reception) {
        this.id_bon_reception = id_bon_reception;
    }
 
    public String getId_facture_frs() {
        return id_facture_frs;
    }
    
    public void setId_facture_frs(String id_facture_frs) {
        this.id_facture_frs = id_facture_frs;
    }
    
    
    public String getId_vente_sans_facture() {
        return id_vente_sans_facture;
    }
    
    public void setId_vente_sans_facture(String id_vente_sans_facture) {
        this.id_vente_sans_facture = id_vente_sans_facture;
    }
    
    
}
